body {
  background-color: #1a1c1d;
  color: #fff;
  font-family: monospace;
  font-size: 14px;
  padding: 20px;
  text-align: center;
}

h1 {
  font-size: 32px;
  margin-bottom: 2px;
}

h1 small {
  font-size: 8px;
  /* make text align on top */
  margin-bottom: -5px;
  vertical-align: top;
}

.slogan {
  /* gradient */
  background: -webkit-linear-gradient(#1a4e1d, #c8ffa5);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  margin-top: -10px;
  font-size: 12px;
  vertical-align: top;
}

h2 {
  font-size: 12px;
  margin-bottom: 20px;
}

#hole {
  display: flex;
  justify-content: center;
  cursor: pointer;
  margin: 0 auto;
  margin-bottom: 20px;
}

#hole:hover {
  border-color: #ccc;
}

#filelist {
  list-style: none;
  margin: 0 auto;
  max-width: 600px;
  padding: 0;
}

.file {
  border-radius: 5px;
  background-color: #333;
  border: 1px solid #555;
  color: #fff;
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin: 5px 0;
  padding: 10px;
  transition: all 0.3s ease-in-out;
}

.file:hover {
  background-color: #444;
  box-shadow: 0px 1px 3px rgba(0, 0, 0, 0.3);
}

.file a {
  color: #fff;
  margin-right: 10px;
  text-decoration: none;
}

.file a:hover {
  text-decoration: underline;
}

.file button {
  background-color: transparent;
  border: none;
  color: #fff;
  cursor: pointer;
  font-size: 18px;
  margin-left: 10px;
  margin-right: -7px;
  padding: 0;
  transition: opacity 0.3s ease-in-out;
}

.file button:hover {
  opacity: 0.7;
}

button {
  background-color: transparent;
  border: 2px solid #3e4446;
  border-radius: 5px;
  color: #fff;
  cursor: pointer;
  font-size: 16px;
  margin-top: 10px;
  padding: 7px 20px;
  text-transform: uppercase;
  transition: background-color 0.3s ease-in-out;
}

button:hover {
  background-color: #444;
  border-color: #fff;
}

#options {
  align-items: center;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  margin-top: 20px;
}

.option {
  background-color: #222;
  border: 2px solid #444;
  border-radius: 5px;
  color: #fff;
  cursor: pointer;
  font-size: 16px;
  margin: 5px;
  padding: 7px 20px;
  transition: all 0.3s ease-in-out;
}

.option:hover {
  background-color: #444;
  border-color: #fff;
}

#options label {
  font-size: 16px;
  margin-right: 10px;
}

#options input[type="number"],
#options select[name="expiry"] {
  background-color: #333;
  border: none;
  border-radius: 5px;
  color: #fff;
  font-size: 16px;
  height: 30px;
  margin-right: 10px;
  padding: 0 10px;
  text-align: center;
  transition: all 0.3s ease-in-out;
  width: 80px;
}

#options input[type="number"]:hover,
#options select[name="expiry"]:hover {
  background-color: #444;
  cursor: pointer;
}

#options input[type="number"]:focus,
#options select[name="expiry"]:focus {
  background-color: #444;
  outline: none;
}

@media (max-width: 768px) {
  body {
    font-size: 12px;
    padding: 10px;
  }

  h1 {
    font-size: 24px;
    margin-bottom: 10px;
  }

  #hole {
    max-width: 150px;
    min-height: 150px;
    padding: 10px;
    margin-bottom: 20px;
  }

  #filelist {
    max-width: 400px;
  }

  .file {
    border-radius: 5px;
    padding: 8px;
    margin: 3px 0;
  }

  .file a {
    font-size: 12px;
    margin-right: 5px;
  }

  .file button {
    font-size: 14px;
    margin-left: 5px;
    margin-right: -3px;
  }

  button {
    font-size: 14px;
    margin-top: 5px;
    padding: 5px 12px;
  }

  #options {
    margin-top: 10px;
  }

  #options label {
    font-size: 14px;
    margin-right: 5px;
  }

  #options input[type="number"],
  #options select[name="expiry"] {
    font-size: 14px;
    height: 25px;
    margin-right: 5px;
    padding: 0 5px;
    width: 80px;
  }
}

.blackhole {
  width: 10em;
  height: 10em;
}

.blackhole .mega {
  width: 100%;
  height: 100%;
  border-radius: 100%;
  background: linear-gradient(#b494ba, #6845ba, #5f27e1);
  box-shadow: 0 0 60px 30px #b38faf29;
  display: flex;
  justify-content: center;
  align-items: center;
  filter: blur(5px);
}

.blackhole .black {
  width: 90%;
  height: 90%;
  border-radius: 45% 50% 50% 50%;
  background-color: black;
  transform: rotate(0deg);
  animation: hole 0.1s linear infinite normal;
  color: white;
  content: "hi";
}

@keyframes hole {
  100% {
    transform: rotate(360deg);
  }
}
